## drgn 0.0.22

=== docs/requirements.txt ===
sphinx==5.1.1

## drgn 0.0.21

=== debian/changelog ===
drgn (0.0.21-1) unstable; urgency=low

  * New upstream version 0.0.21
  * Add the default salsa-ci.yml. Needed because we need a modified config for backport branches like jammy
  * Add smoke tests for autopkgtest
  * Refresh patches
  * Backport the commit improving error messages

 -- Michel Alexandre Salim <michel@michel-slm.name>  Thu, 13 Oct 2022 12:40:03 -0500

drgn (0.0.20-2) unstable; urgency=low

  * Enable libkdumpfile support

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 05 Oct 2022 14:43:09 -0500

drgn (0.0.20-1) unstable; urgency=low

  * Initial release. (Closes: #1001581)

 -- Michel Alexandre Salim <michel@michel-slm.name>  Mon, 22 Aug 2022 13:03:33 -0500

=== debian/control ===
Source: drgn
Section: devel
Priority: optional
Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libdw-dev,
 libelf-dev,
 libkdumpfile-dev (>= 0.5.0-3),
 pkg-config,
 python3-all,
 python3-dev,
 python3-setuptools,
 python3-sphinx,
 zstd <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/osandov/drgn
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/michel/drgn
Vcs-Git: https://salsa.debian.org/michel/drgn.git

Package: python-drgn-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Programmable debugger - documentation
 drgn (pronounced "dragon") is a debugger with an emphasis on programmability.
 .
 This package provides the documentation for drgn.

Package: python3-drgn
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-drgn-doc,
Description: Programmable debugger
 drgn (pronounced "dragon") is a debugger with an emphasis on programmability.
 drgn exposes the types and variables in a program for easy, expressive
 scripting in Python.

## drgn 0.0.22

=== debian/changelog ===
drgn (0.0.22-1) unstable; urgency=low

  * New upstream version 0.0.22
  * Adjust debian/copyright for relicensing to LGPL-2.1+
  * Adjust patches
  * Package contrib and tools scripts, drop the old examples
  * Remove Repology image to prevent privacy breach
  * Remove references to GPL-3+ in debian/copyright

 -- Michel Alexandre Salim <michel@michel-slm.name>  Mon, 09 Jan 2023 14:00:45 -0600

drgn (0.0.21-2) unstable; urgency=medium

  * Don't mix python3-all with python3-dev. (Closes: #1026573)

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 20 Dec 2022 15:24:50 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  libelf-dev,
  libkdumpfile-dev (>= 0.5.0-3),
  pkg-config,
- python3-all,
  python3-dev,
  python3-setuptools,
  python3-sphinx,

## drgn 0.0.23

=== debian/changelog ===
drgn (0.0.23-1) unstable; urgency=low

  * New upstream version 0.0.23
  * Refresh patches

 -- Michel Alexandre Salim <michel@michel-slm.name>  Thu, 29 Jun 2023 15:11:40 -0500

## drgn 0.0.25

=== debian/changelog ===
drgn (0.0.25-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:00 +1100

drgn (0.0.25-2build2) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 00:57:27 +0000

drgn (0.0.25-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:41:45 +0000

drgn (0.0.25-2) unstable; urgency=low

  * Smoke test now asserts that drgn is compiled with libkdumpfile

 -- Michel Lind <michel@michel-slm.name>  Mon, 04 Dec 2023 20:47:01 -0600

drgn (0.0.25-1) unstable; urgency=low

  * New upstream version 0.0.25

 -- Michel Lind <michel@michel-slm.name>  Mon, 04 Dec 2023 13:19:55 -0600

drgn (0.0.24-1) unstable; urgency=low

  * Update standards version to 4.6.2
  * New upstream version 0.0.24
  * Also remove our version override when cleaning
  * Refresh patches

 -- Michel Alexandre Salim <michel@michel-slm.name>  Fri, 08 Sep 2023 15:44:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: drgn
 Section: devel
 Priority: optional
-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,7 +15,7 @@
  python3-setuptools,
  python3-sphinx,
  zstd <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/osandov/drgn
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/michel/drgn

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=drgn

# util.py does not get installed, so we can't run
# its tests unless we want to manually symlink util.py
export PYBUILD_BEFORE_TEST=cp -p {dir}/util.py {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/util.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

clean:
	dh $@ --with python3 --buildsystem=pybuild

# need to override to get a verbose build
override_dh_auto_build:
	V=1 dh_auto_build

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

## drgn 0.0.26

=== debian/changelog ===
drgn (0.0.26-1) unstable; urgency=medium

  * Update maintainer name
  * New upstream version 0.0.26
  * Fix to allow running tests that use the tools module
  * Fix dh_auto_clean
  * Refresh patches

 -- Michel Lind <michel@michel-slm.name>  Tue, 12 Mar 2024 00:13:04 -0700

## drgn 0.0.27

=== debian/changelog ===
drgn (0.0.27-1) unstable; urgency=medium

  * New upstream version 0.0.27

 -- Michel Lind <michel@michel-slm.name>  Wed, 10 Jul 2024 22:34:15 -0500

## drgn 0.0.29

=== debian/changelog ===
drgn (0.0.29-1) unstable; urgency=medium

  * New upstream version 0.0.29

 -- Michel Lind <michel@michel-slm.name>  Wed, 23 Oct 2024 18:22:01 -0500

## drgn 0.0.30

=== docs/requirements.txt ===
sphinx==6.2.1

=== debian/changelog ===
drgn (0.0.30-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:42:48 +0100

drgn (0.0.30-1) unstable; urgency=medium

  * New upstream version 0.0.30

 -- Michel Lind <michel@michel-slm.name>  Thu, 19 Dec 2024 15:07:34 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: drgn
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
+Maintainer: Michel Lind <michel@michel-slm.name>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=drgn

# tools and util.py do not get installed
export PYBUILD_BEFORE_TEST=cp -pr {dir}/tools {dir}/util.py {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/tools {build_dir}/util.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

clean:
	dh $@ --with python3 --buildsystem=pybuild

# need to override to get a verbose build
override_dh_auto_build:
	V=1 dh_auto_build

# force use of pybuild, otherwise dh_auto_clean will try to use
# distutils which is no longer supported since compat 12
# since setup.py exists
override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

## drgn 0.0.31

=== docs/requirements.txt ===
sphinx==7.3.7

=== debian/changelog ===
drgn (0.0.31-1) unstable; urgency=medium

  * New upstream version 0.0.31
  * Refresh patches
  * Also clean additional auxiliary files
  * Remove unused lintian override

 -- Michel Lind <michel@michel-slm.name>  Fri, 18 Apr 2025 17:32:50 -0500

## drgn 0.0.32

=== docs/requirements.txt ===
sphinx==8.1.3

=== scripts/crashme/Makefile ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
# SPDX-License-Identifier: LGPL-2.1-or-later

# Makefile used to generate tests/resources/crashme*

.PHONY: all cores clean

.DELETE_ON_ERROR:

EXECUTABLES := crashme crashme_pie crashme_static crashme_static_pie
CORES := $(addsuffix .core, $(EXECUTABLES)) $(addsuffix _no_headers.core, $(EXECUTABLES))
BINARIES := crashme.so $(EXECUTABLES) crashme.dwz crashme.so.dwz crashme.alt
ZSTD_BINARIES := $(addsuffix .zst, $(BINARIES))
ZSTD_CORES := $(addsuffix .zst, $(CORES))

all: $(BINARIES) cores $(ZSTD_BINARIES) $(ZSTD_CORES)

clean:
	rm -f $(BINARIES) $(CORES) $(ZSTD_BINARIES) $(ZSTD_CORES)

crashme.so: crashme.c common.c
	gcc -g -Os -fpic -shared $^ -o $@

crashme: main.c common.c crashme.so
	gcc -g -Os -fno-pie -no-pie $(filter-out crashme.so,$^) -o $@ -L . -l:crashme.so -Wl,-rpath,$(CURDIR)

crashme_pie: main.c common.c crashme.so
	gcc -g -Os -fpie -pie $(filter-out crashme.so,$^) -o $@ -L . -l:crashme.so -Wl,-rpath,$(CURDIR)

crashme_static: main.c common.c crashme.c
	musl-gcc -g -Os -fno-pie -static $^ -o $@

crashme_static_pie: main.c common.c crashme.c
	musl-gcc -g -Os -fpie -static-pie $^ -o $@

crashme.dwz crashme.so.dwz crashme.alt &: crashme crashme.so
	cp crashme crashme.dwz
	cp crashme.so crashme.so.dwz
	dwz -m crashme.alt -r crashme.dwz crashme.so.dwz

cores: $(CORES)

.NOTPARALLEL: cores

define CORE_COMMAND
flock /proc/sys/kernel/core_pattern sh -e -c '\
ulimit -c unlimited; \
echo "$$COREDUMP_FILTER" > /proc/$$$$/coredump_filter; \
old_pattern=$$(cat /proc/sys/kernel/core_pattern); \
restore_core_pattern() { \
	echo "$$old_pattern" > /proc/sys/kernel/core_pattern; \
}; \
trap restore_core_pattern EXIT; \
echo "$$PWD/core.%p" > /proc/sys/kernel/core_pattern; \
su "$$SUDO_USER" -c "env -i sh -l -c \"exec ./$<\" & wait; mv core.\$$! $@"'
endef

%.core: %
	sudo env COREDUMP_FILTER=0x33 $(CORE_COMMAND)

%_no_headers.core: %
	sudo env COREDUMP_FILTER=0x23 $(CORE_COMMAND)

%.zst: %
	zstd -19 $< -o $@

=== tests/linux_kernel/kmod/Makefile ===
obj-m := drgn_test.o

=== debian/changelog ===
drgn (0.0.32-2) unstable; urgency=medium

  * Adjust gbp.conf for unstable

 -- Michel Lind <michel@michel-slm.name>  Fri, 18 Jul 2025 14:01:35 -0500

drgn (0.0.32-1) experimental; urgency=medium

  * New upstream version 0.0.32
  * Add gbp.conf
  * Clean up copyright
  * Update standards version to 4.7.2

 -- Michel Lind <michel@michel-slm.name>  Mon, 30 Jun 2025 15:26:31 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
  zstd <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/osandov/drgn
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/michel/drgn

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 # since setup.py exists
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
+	rm -f libdrgn/build-aux/tap-driver.sh
+	rm -f libdrgn/build-aux/test-driver
 
 execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%drgn-$1.tar.gz%" \
   https://github.com/osandov/drgn/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## drgn 0.0.33

=== debian/changelog ===
drgn (0.0.33-1) unstable; urgency=medium

  * New upstream version 0.0.33
  * Bump libkdumpfile-dev dependency for the transition dropping the old Python bindings

 -- Michel Lind <michel@michel-slm.name>  Fri, 05 Dec 2025 12:30:55 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-sequence-python3,
  libdw-dev,
  libelf-dev,
- libkdumpfile-dev (>= 0.5.0-3),
+ libkdumpfile-dev (>= 0.5.5),
  pkg-config,
  python3-dev,
  python3-setuptools,

## drgn 0.1.0

=== debian/changelog ===
drgn (0.1.0-1) unstable; urgency=medium

  * New upstream version 0.1.0
  * Update standards version to 4.7.3
  * Add libpcre2-dev build dependency
  * Use pkgconf instead of pkg-config

 -- Michel Lind <michel@michel-slm.name>  Fri, 20 Feb 2026 14:01:57 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
  libdw-dev,
  libelf-dev,
  libkdumpfile-dev (>= 0.5.5),
- pkg-config,
+ libpcre2-dev,
+ pkgconf,
  python3-dev,
  python3-setuptools,
  python3-sphinx,
  zstd <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/osandov/drgn
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/michel/drgn
